#if !defined(AFX_TABLECONTENTTITLESETUPDLG_H__D2B64AC2_B22D_4E0B_AFD6_04B172C15072__INCLUDED_)
#define AFX_TABLECONTENTTITLESETUPDLG_H__D2B64AC2_B22D_4E0B_AFD6_04B172C15072__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TableContentTitleSetupdlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTableContentTitleSetupdlg dialog
#include "reportdict.h"
#include "aplEdit.h"
#include "resource.h"

class CTableContentTitleSetupdlg : public CaplResizableDialog
{
// Construction
protected:
	CaplEdit	m_EditText;
	int		m_iEditString;
	LOGFONT	m_Font;
	CTableContentTitle	*m_pTCTitle;//Реально работаем с ним

public:
	bool TestUpdate();
	void OnCancel();
	void OnOK();
	bool UpdateDlg();
	void ShowData();
	CTableContentElement	*m_TCTitle;


	bool BrowseFont(LOGFONT &lf);
	CTableContentTitleSetupdlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTableContentTitleSetupdlg)
	enum { IDD = IDD_TABLE_CONTENT_TITLE_SETUP_DLG };
	CListCtrl	m_ListCtrl;
	CaplButton	m_DelLevel_btn;
	CaplButton	m_AddLevel_btn;
	double	m_dWidth;
	double	m_dTextWidth;
	int m_iHeght;
	CString	m_sTitle;
	CString	m_sFont;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTableContentTitleSetupdlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTableContentTitleSetupdlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddLevel();
	afx_msg void OnDelLevel();
	afx_msg void OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSetfocusList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelectFont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABLECONTENTTITLESETUPDLG_H__D2B64AC2_B22D_4E0B_AFD6_04B172C15072__INCLUDED_)
